(*        GREATIS DELPHI PAGES         *)
(* Copyright (C) 2001 Greatis Software *)
(*  web: http://www.greatisdelphi.com  *)
(*     e-mail: delphi@greatis.com      *)

unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Grids, StdCtrls;

type
  TForm1 = class(TForm)
    StringGrid1: TStringGrid;
    Button1: TButton;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    procedure StringGrid2File(StringGrid: TStringGrid; FileName: String);
    procedure File2StringGrid(StringGrid: TStringGrid; FileName: String);
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}
procedure TForm1.File2StringGrid(StringGrid: TStringGrid; FileName: String);
var
  F: TextFile;
  Tmp, x, y: Integer;
  TmpStr: string;
begin
  AssignFile(F, FileName);
  Reset(F);
  Readln(F, Tmp);
  StringGrid.ColCount:=Tmp;
  Readln(F, Tmp);
  StringGrid.RowCount:=Tmp;
  for x:=0 to StringGrid.ColCount-1 do
    for y:=0 to StringGrid.RowCount-1 do
    begin
      Readln(F, TmpStr);
      StringGrid.Cells[x,y]:=TmpStr;
    end;
  CloseFile(F);
end;

procedure TForm1.StringGrid2File(StringGrid: TStringGrid; FileName: String);
var
  F: TextFile;
  x, y: Integer;
begin
  AssignFile(F, FileName);
  Rewrite(F);
  Writeln(F, StringGrid.ColCount);
  Writeln(F, StringGrid.RowCount);
  for x:=0 to StringGrid.ColCount-1 do
    for y:=0 to StringGrid.RowCount-1 do
      Writeln(F, StringGrid.Cells[x,y]);
  CloseFile(F);
end;

procedure TForm1.Button1Click(Sender: TObject);
var
  i, j: Integer;
begin
  for i:=1 to StringGrid1.ColCount-1 do
    for j:=1 to StringGrid1.RowCount-1 do
      StringGrid1.Cells[i,j]:=IntToStr(i+j);
  StringGrid2File(StringGrid1, 'fff.txt');
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  File2StringGrid(StringGrid1, 'fff.txt')
end;

end.
